Debian Bug report logs - #672408
add arm64 support to dpkg

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 10 May 2012 20:30:02 UTC

Severity: wishlist

Found in version dpkg/1.16.3

Fixed in version dpkg/1.16.4

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#672408; Package dpkg. (Thu, 10 May 2012 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 10 May 2012 20:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: submit@bugs.debian.org
Cc: adconrad@debian.org
Subject: add arm64 support to dpkg
Date: Thu, 10 May 2012 21:28:18 +0100
[Message part 1 (text/plain, inline)]
Package:dpkg
Version:1.16.3
Severity: wishlist

Here is a simple patch to give dpkg support for the forthcoming 64-bit
arm architecture, called arm64 in Debian and aarch64 upstream.

So far as I can tell only cputable has to change, and I couldn't find
anything else to change in dpkg as config.{sub,guess} have already
been updated, so this really is a one-liner. Do tell if I've missed
something. dpkg-architecture certainly works as expected. 

Having this in wheezy would be helpful to the porters.

Wookey
[dpkg-1.16.3-arm64-support.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#672408; Package dpkg. (Fri, 11 May 2012 00:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 11 May 2012 00:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 672408@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Wookey <wookey@wookware.org>, 672408@bugs.debian.org
Subject: Re: Bug#672408: add arm64 support to dpkg
Date: Fri, 11 May 2012 01:58:58 +0200
On Thu, 2012-05-10 at 21:28:18 +0100, Wookey wrote:
> Package:dpkg
> Version:1.16.3
> Severity: wishlist
> 
> Here is a simple patch to give dpkg support for the forthcoming 64-bit
> arm architecture, called arm64 in Debian and aarch64 upstream.
> 
> So far as I can tell only cputable has to change, and I couldn't find
> anything else to change in dpkg as config.{sub,guess} have already
> been updated, so this really is a one-liner. Do tell if I've missed
> something. dpkg-architecture certainly works as expected. 

Given that the triplet is aarch64-linux-gnu, yes this seems fine
(although the upstream name seems a bit unfortunate...).

I've removed the .* from the config.guess regex because that would
match on aarch64_be, and queued this for my next push, which...

> Having this in wheezy would be helpful to the porters.

... will be included for 1.16.4.

> diff -urN dpkg-1.16.3.original/cputable dpkg-1.16.3/cputable
> --- dpkg-1.16.3.original/cputable	2012-04-27 03:49:02.000000000 +0100
> +++ dpkg-1.16.3/cputable	2012-05-10 19:48:16.172590261 +0100
> @@ -22,6 +22,7 @@
>  amd64		x86_64		x86_64			64	little
>  armeb		armeb		arm.*b			32	big
>  arm		arm		arm.*			32	little
> +arm64		aarch64		aarch64.*		64	little
>  avr32		avr32		avr32			32	big
>  hppa		hppa		hppa.*			32	big
>  m32r		m32r		m32r			32	big

thanks,
guillem




Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Fri, 11 May 2012 00:09:07 GMT) Full text and rfc822 format available.

Message sent on to Wookey <wookey@wookware.org>:
Bug#672408. (Fri, 11 May 2012 00:09:10 GMT) Full text and rfc822 format available.

Message #15 received at 672408-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 672408-submitter@bugs.debian.org
Subject: Bug#672408 marked as pending
Date: Fri, 11 May 2012 00:07:46 +0000
tag 672408 pending
thanks

Hello,

Bug #672408 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=7786b93

---
commit 7786b93c8005b2f7a5a1043c2f07d06a80563e72
Author: Wookey <wookey@wookware.org>
Date:   Fri May 11 02:03:38 2012 +0200

    Add arm64 support to cputable
    
    [guillem@debian.org:
     - Change config.guess regex to not match on aarch64_be. ]
    
    Closes: #672408
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

diff --git a/debian/changelog b/debian/changelog
index fe53620..8520e65 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -20,6 +20,8 @@ dpkg (1.16.4) UNRELEASED; urgency=low
   * Remove deprecated support for PGP style signing command interface from
     dpkg-buildpackage.
   * Remove obsolete --udeb dpkg-scanpackages option.
+  * Add arm64 support to cputable. Closes: #672408
+    Thanks Wookey <wookey@wookware.org>.
 
   [ Updated man page translations ]
   * German (Helge Kreutzmann).




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#672408; Package dpkg. (Fri, 11 May 2012 11:24:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 11 May 2012 11:24:37 GMT) Full text and rfc822 format available.

Message #20 received at 672408@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Guillem Jover <guillem@debian.org>
Cc: 672408@bugs.debian.org
Subject: Re: Bug#672408: add arm64 support to dpkg
Date: Fri, 11 May 2012 12:22:43 +0100
+++ Guillem Jover [2012-05-11 01:58 +0200]:
> On Thu, 2012-05-10 at 21:28:18 +0100, Wookey wrote:
> > Package:dpkg
> > Version:1.16.3
> > Severity: wishlist
> > 
> > Here is a simple patch to give dpkg support for the forthcoming 64-bit
> > arm architecture, called arm64 in Debian and aarch64 upstream.
> > 
> > So far as I can tell only cputable has to change, and I couldn't find
> > anything else to change in dpkg as config.{sub,guess} have already
> > been updated, so this really is a one-liner. Do tell if I've missed
> > something. dpkg-architecture certainly works as expected. 
> 
> Given that the triplet is aarch64-linux-gnu, yes this seems fine
> (although the upstream name seems a bit unfortunate...).

The upstream name is indeed ridiculous, but actually because
arm*-*-linux-gnu* configury is already such a mess in many places,
having a clean slate is technically useful, so I have been persuaded
not to start a (probably doomed anyway) fight with upstream for
'arm64-linux-gnu' eveywhere, even though that would have been much
nicer for users. So aarch64-linux-gnu it is.

> I've removed the .* from the config.guess regex because that would
> match on aarch64_be, and queued this for my next push, which...
> 
> > Having this in wheezy would be helpful to the porters.
> 
> ... will be included for 1.16.4.

cheers for the quick response.

Wookey




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Fri, 08 Jun 2012 08:51:25 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Fri, 08 Jun 2012 08:51:25 GMT) Full text and rfc822 format available.

Message #25 received at 672408-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 672408-close@bugs.debian.org
Subject: Bug#672408: fixed in dpkg 1.16.4
Date: Fri, 08 Jun 2012 08:48:10 +0000
Source: dpkg
Source-Version: 1.16.4

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.4_all.deb
  to main/d/dpkg/dpkg-dev_1.16.4_all.deb
dpkg_1.16.4.dsc
  to main/d/dpkg/dpkg_1.16.4.dsc
dpkg_1.16.4.tar.bz2
  to main/d/dpkg/dpkg_1.16.4.tar.bz2
dpkg_1.16.4_amd64.deb
  to main/d/dpkg/dpkg_1.16.4_amd64.deb
dselect_1.16.4_amd64.deb
  to main/d/dpkg/dselect_1.16.4_amd64.deb
libdpkg-dev_1.16.4_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.4_amd64.deb
libdpkg-perl_1.16.4_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672408@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 07 Jun 2012 23:43:19 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.4
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 391818 580038 584141 629480 670897 671198 672408 673158 673305 673518 674674 674711 675613 675918 675947 676061 676062 676107 676118 676122 676262 676496
Changes: 
 dpkg (1.16.4) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Deprecate compressing .deb files with lzma, by making dpkg-deb issue a
     warning, as the format has several deficiencies that have been addressed
     by upstream in xz. Although unpacking will be kept being supported to
     handle existing lzma compressed .deb files.
   * Add alternative changelog formats documentation from the policy manual
     to dpkg-parsechangelog(1). Closes: #584141
   * Add MiNT support to ostable and triplettable.
     Requested by Thorsten Glaser <tg@mirbsd.de>.
   * Add new frontend.txt file to dpkg-dev documenting some public interfaces
     for dpkg frontends. Closes: #670897
   * Clarify in dpkg(1) when --force-conf* options cause action.
     Suggested by Sven Joachim <svenjoac@gmx.de>. Closes: #391818
   * Add “gcc | c-compiler” to libdpkg-perl Suggests, due to Dpkg::Arch usage.
     Closes: #671198
   * Do not mask PIE from dpkg-buildflags on m68k, it appears to work now.
     Requested by Thorsten Glaser <tg@mirbsd.de>.
   * Remove deprecated support for PGP style signing command interface from
     dpkg-buildpackage.
   * Remove obsolete --udeb dpkg-scanpackages option.
   * Add arm64 support to cputable. Closes: #672408
     Thanks Wookey <wookey@wookware.org>.
   * Check parsed integers for invalid or no digit errors in start-stop-daemon
     and update-alternatives.
   * Check all parsed integers for out of range errors; i.e. that no negative
     values are allowed if not appropriate, and that no overflows occur.
     Closes: #580038
   * Switch start-stop-daemon(8) man page examples from /var/run to /run.
   * Do not obscure Dpkg::Source::Package ‘require’ errors with custom
     error message. Thanks to Thomas Adam <thomas.adam@smoothwall.net> and
     Jonathan Nieder <jrnieder@gmail.com>.
   * Add new Dpkg::Substvars::set_as_used() member function.
   * Rename Dpkg::Substvars no_warn() member function to mark_as_used(), keep
     the old name aliased to the new one producing a deprecation warning.
   * Add support for Build-Depends-Arch and Build-Conflicts-Arch fields, and
     a new -A option to dpkg-checkbuilddeps. Closes: #629480
     Thanks to Roger Leigh <rleigh@debian.org>.
   * Add support for “none” as a valid dpkg-deb compression strategy value.
     Closes: #674711
   * Clarify in dpkg(1) that the «dpkg -l» example only lists installed
     packages, and that to list available packages «dpkg-query --load-avail»
     has to be used instead. Closes: #673305
   * Clarify also in the dpkg(1) man page (already present in the dpkg.cfg(5)
     man page) the valid filenames for /etc/dpkg/dpkg.cfg.d/ fragment files.
     Closes: #674674
   * Fix start-stop-daemon to not follow symlinks when creating pidfiles.
     Thanks to Carsten Hey <carsten@debian.org>. Closes: #675918
   * Refactor the file locking logic into a new Dpkg::File module, and move
     the libfile-fcntllock-perl dependency from dpkg-dev to libdpkg-perl.
   * Demote the libfile-fcntllock-perl Depends to a Recommends by falling back
     to use flock based locking, because it being an XS module makes building
     a new perl package bumping the perl ABI impossible, as both packages
     become uninstallable. Thanks to Dominic Hargreaves <dom@earth.li>.
     Closes: #675947
   * Put an & before field_capitalize() calls in Dpkg::Control::Fields to
     fix a usege before declaration warning with perl 5.16. Closes: #676262
   * Do not warn in dpkg-divert on missing files list file for packages never
     installed before. Closes: #673518
   * Add support for liblzma to handle .xz and .lzma compressed files, and
     switch to it instead of using xz-utils. This removes the xz-utils
     Pre-Depends from dpkg. Thanks to Jonathan Nieder <jrnieder@gmail.com>.
   * Always activate all path components for file triggers, this fixes file
     trigger handling for conffiles and dpkg-trigger invokations.
     Closes: #675613, #676061, #676062, #676107, #676118, #676122
   * Do not reset Multi-Arch field in the update log when removing the package.
     Closes: #676496
   * Fix dpkg-split to honour the DPKG_ADMINDIR environment variable.
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann).
   * French (Christian Perrier). Fixes a mistranslation and some
     inconsistencies reported by Vincent Danjean( thanks). Closes: #673158
Checksums-Sha1: 
 5354fc290240a94e172dfe318415adf634f972b2 1375 dpkg_1.16.4.dsc
 58cf8a56152ca5bd548c5c23384c2f9b0ded0949 5615914 dpkg_1.16.4.tar.bz2
 f790fe2e8c24a32916625ba0a388a17c0fe5fa50 654406 libdpkg-dev_1.16.4_amd64.deb
 a019620211886c8e1a1e390708135a6706f1891e 2365582 dpkg_1.16.4_amd64.deb
 ae83972f9a141e92634567ad175f3a94885c358f 1090908 dselect_1.16.4_amd64.deb
 7b9af99a7030b9c4dbb86841f77217d4dd33cf33 1138800 dpkg-dev_1.16.4_all.deb
 624f4b2d7fe002afc6c7b89d6da3c6af893ad66e 852554 libdpkg-perl_1.16.4_all.deb
Checksums-Sha256: 
 2b171d26b43fbb32d14a1669e6bd029ce190e5cd4f93b4a3ea58f79e21e3ac0a 1375 dpkg_1.16.4.dsc
 15a3745d1fafae1e152dbbd5c8d4d3902f1922f54feb85bd8ac3f68a022f222d 5615914 dpkg_1.16.4.tar.bz2
 e7a966d2ecbad1fa1ced3d9a96a69b4b877f6b545082be8fcc5d49313de8d9fb 654406 libdpkg-dev_1.16.4_amd64.deb
 88bde030e5ea1b676e3c2a655ad9fa56a2d190f255916a2a7c0e06365a5d69f9 2365582 dpkg_1.16.4_amd64.deb
 7ab4e528bfe8d5afc565b87ab0dd9e258b25b801ff0203b654c1b8d32a0ca7a3 1090908 dselect_1.16.4_amd64.deb
 e4bb87c780c2ae6c4d1f7340fcc9443ed0e80b978a8b885d496b1ece57373424 1138800 dpkg-dev_1.16.4_all.deb
 e33215c244249c1c08a032d53c05b05fdf6a8202b5c47fe66f4bdb019fe74b3e 852554 libdpkg-perl_1.16.4_all.deb
Files: 
 6d010ca5afa69303e9c77de3b0706d55 1375 admin required dpkg_1.16.4.dsc
 1c1b51add81404fa96e2fadab7d228b6 5615914 admin required dpkg_1.16.4.tar.bz2
 8acfb32fac40428b31dc0f05b71bb80e 654406 libdevel optional libdpkg-dev_1.16.4_amd64.deb
 278cec665f3548418907b1aa4a30c865 2365582 admin required dpkg_1.16.4_amd64.deb
 c6947e3a795de2587d7d03d571d5f045 1090908 admin optional dselect_1.16.4_amd64.deb
 2366e08425069dddd468b0f5d06c7152 1138800 utils optional dpkg-dev_1.16.4_all.deb
 2dd92fcfb65f8a5a52ef9ec57efb8d3b 852554 perl optional libdpkg-perl_1.16.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/RpN8ACgkQuW9ciZ2SjJtMXwCdEYHD3H6OBmpoypAXIXd59Ejq
xzMAn0BZQNJ2Pr0yjH1pquGhhLUChwOU
=V29p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jul 2012 07:34:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:52:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.